1
0

Corrected a regression on extlinux.conf

This commit is contained in:
Daniel Tartavel 2018-12-28 09:42:54 +01:00
parent b58cefc85d
commit a22918ebab
4 changed files with 39 additions and 28 deletions

View File

@ -514,6 +514,11 @@ copyingsystem()
UUID=$BOOT_UUID /mnt/rpi_boot vfat defaults 0 0
UUID=$ROOT_UUID / ext4 defaults 0 0" > "$BUILD_PATH"/etc/fstab
info "making /boot/extlinux/extlinux.conf"
mkdir -p "$BUILD_PATH/boot/extlinux"
sed -e s/\<UUID\>/$ROOT_UUID/g $SOURCE_PATH/$CONFIG_PATH/extlinux.conf >"$BUILD_PATH/boot/extlinux/extlinux.conf"
KERNEL_ID=`basename $BUILD_PATH/usr/lib/linux-*`
sed -i -e s/\<FDTDIR\>/$KERNEL_ID/g "$BUILD_PATH/boot/extlinux/extlinux.conf"
case $TARGET in
rpi)
@ -534,11 +539,6 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
/bin/cp -a "$SOURCE_PATH/$CONFIG_PATH/modprobe.conf" "$BUILD_PATH/etc/"
chown root:root "$BUILD_PATH/etc/modprobe.conf"
info "making /boot/extlinux/extlinux.conf"
mkdir -p "$BUILD_PATH/boot/extlinux"
sed -e s/\<UUID\>/$ROOT_UUID/g $SOURCE_PATH/$CONFIG_PATH/extlinux.conf >"$BUILD_PATH/boot/extlinux/extlinux.conf"
KERNEL_ID=`basename $BUILD_PATH/usr/lib/linux-*`
sed -i -e s/\<FDTDIR\>/$KERNEL_ID/g "$BUILD_PATH/boot/extlinux/extlinux.conf"
info "copying firmware, overlays in rpi boot partition"
# cp -a "$BUILD_PATH/usr/lib/linux-"* "$BOOT/dtb"
cp -av "$FIRMWARE_PATH/$FIRMWARE_DIR/boot/start"* "$RPI_BOOT/"
@ -584,22 +584,32 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
exit 1
fi
fi
info "copying tools in /usr/local/bin/"
/bin/cp -a "$SOURCE_PATH/tools/" "$BUILD_PATH/usr/local/bin/"
# /bin/cp -a "$SOURCE_PATH/rpi/sed_extlinux.conf.sh" "$BUILD_PATH/usr/local/bin/"
if ! [ $? -eq 0 ];then
error "line $LINENO error copying tools"
ERRORN=$((ERRORN++))
fi
# info "copying "
;;
ODROID)
;;
esac
info "copying Mageia image to root partition"
/bin/rsync -a --exclude "$RPI_BOOT/" --exclude "qemu-arm-static*" "$BUILD_PATH/" "$ROOT/"
/bin/rsync -a "$RPI_BOOT/" "$BOOT/"
;;
odroid)
ODROID_BOOT="$BUILD_PATH/mnt/odroid_boot"
if ! [ -d "$ODROID_BOOT" ];then
mkdir -p "$ODROID_BOOT"
fi
info "Copying extlinux.conf on $ODROID_BOOT"
cp -R "$BUILD_PATH/boot/extlinux" "$ODROID_BOOT/"
info "copying u-boot to $ODROID_BOOT for $TARGET $TARGET_VERSION"
cp "$BUILD_PATH/usr/lib/u-boot/$TARGET-$TARGET_VERSION/u-boot.bin" "$ODROID_BOOT/"
info "copying Mageia image to root partition"
/bin/rsync -a --exclude "$ODROID_BOOT/" --exclude "qemu-arm-static*" "$BUILD_PATH/" "$ROOT/"
/bin/rsync -a "$ODROID_BOOT/" "$BOOT/"
;;
esac
info "copying tools in /usr/local/bin/"
/bin/cp -a "$SOURCE_PATH/tools/" "$BUILD_PATH/usr/local/bin/"
if ! [ $? -eq 0 ];then
error "line $LINENO error copying tools"
ERRORN=$((ERRORN++))
fi
# /bin/mkdir "$ROOT/boot"
copyingcommon

View File

@ -1,10 +1,10 @@
# File generated by DrakX/drakboot
default linux
menu Welcome to Mageia-Minimal.
timeout 20
menu title Boot Menu
default Mageia
label linux
label Mageia
kernel /boot/vmlinuz
initrd /boot/initrd.img
fdtdir /usr/lib/linux-4.19.12-desktop-2.mga7
append root=UUID=f9fdc05d-2cc9-42d8-a8dc-2f79ff008045 console=tty1 elevator=deadline cma=256M@512M audit=0 fsck.repair=1
append root=UUID=<UUID> dwc_otg.lpm_enable=0 console=ttyS0,115200 kgdboc=ttyS0,115200 console=tty1 rootwait fsck.repair=1 8250.nr_uarts=1 elevator=deadline cma=256M\@512M audit=0
fdtdir /usr/lib/<FDTDIR>
initrd /boot/initrd

View File

@ -17,7 +17,8 @@
MAGEIA_VERSION="cauldron"
ARM_VERSION="armv7hl"
TARGET="xu4"
TARGET="odroid"
TARGET_VERSION="xu4"
# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"

View File

@ -22,7 +22,7 @@
#Install all packages you need
/usr/sbin/urpmi --auto --no-verify-rpm /root/kernel-odroid-4.14.y-1.armv7hl.rpm basesystem chrony rng-tools man openssh-server rfkill wireless-tools bluez wpa_supplicant make dracut u-boot-tools rsync
/usr/sbin/urpmi --auto --no-verify-rpm /root/kernel-odroid-4.14.y-1.armv7hl.rpm basesystem chrony rng-tools man openssh-server rfkill wireless-tools bluez wpa_supplicant make dracut u-boot-tools rsync kernel-desktop-latest
#/usr/sbin/urpmi --urpmi-root "$BUILD_PATH" --ignorearch --no-verify-rpm --auto --split-level 200 --split-length 200
/usr/bin/chown :chrony -R /etc/chrony.keys /var/log/chrony